Bug 1738164 - tellico depends on Python 2
Summary: tellico depends on Python 2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tellico
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON2_EOL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:19 UTC by Lumír Balhar
Modified: 2020-02-21 10:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-21 09:01:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:19:15 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for tellico's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to tellico.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:04:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:40:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-15 07:41:16 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-08-22 06:58:43 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Lumír Balhar 2019-08-29 05:18:56 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 6 Miro Hrončok 2019-09-05 10:41:19 UTC
According to the procedure described in https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages the package was now orphaned. If you think it was a mistake, you can provide the answers and claim the package back.

Let us know if you need any help or just need more time.

Comment 7 José Matos 2019-09-09 19:39:40 UTC
I am interested in maintaining it.

The dependency of tellico is related with two small scripts:
in /usr/share/tellico/data-sources we can find
fr.allocine.py
dark_horse_comics.py

they only use libraries from the standard library and a 2to3 conversion looks straightforward.

Those are scripts with the last changes from 2006 in one case and 2010 in the other.

So two simple solutions are:

1) to disable those scripts;

2) apply the 2to3 patch to them.

Comment 8 Lumír Balhar 2019-09-10 06:59:30 UTC
Thanks for the info.

It's basically up to you whether to port those scripts or remove them from this package. I don't know how important those scripts are nor how hard it might be to port them.

The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 9 Miro Hrončok 2019-10-17 11:20:48 UTC
Automation has figured out the package is retired in rawhide.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement

Comment 10 Miro Hrončok 2020-02-11 23:20:36 UTC
The package was unretired and now rebuilt.

It still requires python2 at runtime. 

If you want to keep your package in Fedora 32+ and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1].

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 11 José Matos 2020-02-13 12:58:37 UTC
Honestly I forgot to drop the requirement. :-)

Meanwhile (in December) upstream added the code to support both versions.

I took those patches and I have updated the package so now this is a non-issue.
https://koji.fedoraproject.org/koji/buildinfo?buildID=1459914

I will propagate the changes to all supported fedora releases.

Comment 12 José Matos 2020-02-21 09:01:58 UTC
I am closing this bug since now that tellico-3.2.3-1 is going to stable in Fedora 30 and 31 tellico no longer depends on python2 in any supported Fedora release.

Comment 13 Petr Viktorin 2020-02-21 10:43:40 UTC
Thank you!


Note You need to log in before you can comment on or make changes to this bug.